<?xml version="1.0" encoding="windows-1251"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl" version="1.0">

	<xsl:template match="/">
		<html>
			<head>
				<title> </title>
				<style>
				<![CDATA[
					BODY
					{
						font-family:		Tahoma;
						background-color:	#E8FFE8;
					}
					
					H1
					{
						color:				#000088;
						font-size:			14px;
						font-weight:		bold;
						letter-spacing:		2px;
						padding:			0 0 0 0;
						margin:				0 0 5 0;
					}
					
					H2
					{
						font-size:			12px;
						font-weight:		bold;
						letter-spacing:		1px;
						padding:			0 0 0 0;
						margin:				0 0 2 10;
					}
					
					H3
					{
					}
					
					P
					{
						font-size:			12px;
						text-align:			justify;
						padding:			0 0 0 0;
						margin:				0 0 10 10;
					}
					
					HR
					{
						color:				#000088;
						width:				75%;
						height:				2px;
						text-align:			center;
					}
					
					.Comment
					{
						color:				#AA0000;
						font-weight:		bold;
						font-size:			12px;
						letter-spacing:		1px;
					}
					
					.CommentBody
					{
						font-size:			12px;
					}
				]]>
				</style>
			</head>
			<body topmargin="7" leftmargin="7">
				<xsl:apply-templates />
			</body>
		</html>
	</xsl:template>
	
	<xsl:template match="dreamjournal">
		<xsl:apply-templates />
	</xsl:template>
	
	<xsl:template match="day">
		<h1>
			: [<xsl:value-of select="@name" />]
		</h1>
		<xsl:apply-templates select="experience" />
		<xsl:if test="comment">
			<xsl:apply-templates select="comment" />
		</xsl:if>
		<hr />
	</xsl:template>
	
	<xsl:template match="experience">
		<h2>
			<xsl:value-of select="@number" />. <xsl:value-of select="@title" />
		</h2>
		<xsl:if test="@file">
			<p>
				   HTML-: [
				<a>
					<xsl:attribute name="href">
						<xsl:value-of select="@file" />
					</xsl:attribute>
					<xsl:value-of select="@file" />
				</a>
				].
			</p>
		</xsl:if>
		<xsl:if test="description">
			<xsl:apply-templates select="description" />
		</xsl:if>
		<xsl:if test="comment">
			<xsl:apply-templates select="comment" />
		</xsl:if>
		<xsl:apply-templates select="energy" />
		<xsl:apply-templates select="properties" />
	</xsl:template>
	
	<xsl:template match="description">
		<p>
			<xsl:value-of select="." />
		</p>
	</xsl:template>
	
	<xsl:template match="comment">
		<xsl:if test="../experience">
			<p>
				<span class="Comment">
					:
				</span>
				<xsl:value-of select="." />
			</p>
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="energy">
		<p>
			<span class="Comment">
				 : 
			</span>
			<xsl:value-of select="@level" />.
		</p>
	</xsl:template>
	
	<xsl:template match="properties">
		<p>
			<span class="Comment">
				: 
			</span>
			[ <b><xsl:value-of select="@label1" /></b> ]
			[ <b><xsl:value-of select="@label2" /></b> ]
			[ <b><xsl:value-of select="@label3" /></b> ]
			[ <b><xsl:value-of select="@label4" /></b> ]
		</p>
	</xsl:template>

</xsl:stylesheet>