<?xml version="1.0" encoding="windows-1251"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl" version="1.0">

	<xsl:script>
		var rowNumber = 0;
	</xsl:script>

	<xsl:template match="/">
		<html>
			<head>
				<title> </title>
				<style>
				<![CDATA[
					BODY
					{
						font-family:		Tahoma;
						background-color:	#E8FFE8;
					}
					
					H1
					{
						font-size:			18px;
						font-weight:		bold;
						letter-spacing:		2px;
						text-align:			center;
						padding:			0 0 0 0;
						margin:				0 0 10 0;
					}
					
					H2
					{
						font-size:			12px;
						font-weight:		bold;
						letter-spacing:		1px;
						padding:			0 0 0 0;
						margin:				0 0 0 0;
					}
					
					P
					{
						font-size:			12px;
						text-align:			justify;
						padding:			0 0 0 0;
						margin:				0 0 5 10;
					}
					
					.Button
					{
						font-family:		Tahoma;
						font-size:			8px;
						width:				16px;
						height:				16px;
						border:				1 solid #000000;
						background:			#74AA74;
					}
				]]>
				</style>
				<script language="JScript">
				<![CDATA[
					function clickButton (button, rowName)
					{
						button.value = (button.value == '-') ? '+' : '-';
						document.all[rowName].style.display = (button.value == '-') ? '' : 'none';
					}
				]]>
				</script>
			</head>
			<body topmargin="7" leftmargin="7">
				<xsl:apply-templates />
			</body>
		</html>
	</xsl:template>
	
	<xsl:template match="dreamlibrary">
		<h1>
			  &quot;<xsl:value-of select="@name" />&quot;.
		</h1>
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="directory">
	
		<xsl:eval>
			rowNumber += 1;
			'';
		</xsl:eval>
	
		<table align="center" width="100%" cellpadding="3" cellspacing="0" border="0">
			<tr valign="top">
				<td rowspan="2">
					<input type="button" value="-" class="Button">
						<xsl:attribute name="onclick">clickButton (this, &quot;row_<xsl:eval>rowNumber</xsl:eval>&quot;);</xsl:attribute>
					</input><br />
				</td>
				<td width="100%">
					<h2>
						<xsl:value-of select="@name" />
					</h2>
				</td>
			</tr>
			<tr>
				<xsl:attribute name="id">row_<xsl:eval>rowNumber</xsl:eval></xsl:attribute>
				<td>
					<xsl:apply-templates />
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template match="file">
		<p>
			<a>
				<xsl:attribute name="href">
					<xsl:value-of select="@path" />
				</xsl:attribute>
				<xsl:value-of select="@name" />
			</a>
		</p>
	</xsl:template>

</xsl:stylesheet>
